const express = require('express');
const ejs = require("ejs");
const taskController = require("./controler/TaskController");

const app = express();

app.get("/", (req, res) => {
    res.render("page/home.ejs");
});

app.get("/newForm", (req, res) => {
    res.render("page/newForm.ejs");
});

app.get("/form/:id", (req, res) => {
    taskController.findById(req, res);
});

app.get("/task", (req, res) => {
    taskController.findAll(req, res);
});

app.post("/task", (req, res) => {
    taskController.add(req, res);
});

app.put("/task/:id", (req, res) => {
    taskController.update(req, res);
});

app.delete("/task/:id", (req, res) => {
    taskController.remove(req, res);
});


app.listen(8081);
