const mysql = require("mysql");
var pool = mysql.createPool({
    host     : 'localhost',
    user     : 'tasks',
    password : 'tasks',
    database : 'tasks'
});

function querySQL(sql, callback) {
    pool.getConnection(function (err, con) {
        if (err) throw err; // not connected!
        con.query(sql, function (err, result) {
            if (err) throw err;
            callback(result);
            con.release();
        });
    });
}

module.exports = {
    findAll: (req, res) => {
        var sql = "select * from task";
        querySQL(sql, (tasksArray) => {
            res.render("page/todoList.ejs", {tasks:tasksArray});
        });
    },

    findById: (req, res) => {
        var sql = "select * from task where id=" + req.params.id;
        querySQL(sql, (tasksArray) =>{
            res.render("page/form.ejs", {taskId:req.params.id});
        });
    },

    add: (req, res) => {
        var sql = "insert into 'task' (id, name, description) values (" + req.body.id + "," + req.body.name + "," + req.body.description +")";
        querySQL(sql, (tasksArray) => {
            res.render("page/todoList.ejs", {tasks:tasksArray});
        })
    },

    remove: (req, res) => {
        var sql = "delete from table where id = " + req.params.id;
        querySQL(sql, (tasksArray) => {
            res.render("page/todoList.ejs", {tasks:tasksArray});
        })
    },

    update: (req, res) => {
        var sql = "update task set name = " + req.body.name + ", description = " + req.body.description + " where id = " + req.body.id;
        querySQL(sql, (tasksArray) => {
            res.render("page/todoList.ejs", {tasks:tasksArray});
        })
    }
};
